# encoding_char_traits Struct Template Reference

Inheritance diagram for encoding_char_traits:

List of all members.

### template<typename _CharT>
struct __gnu_cxx::encoding_char_traits< _CharT >

## Public Types

- typedef _CharT char_type
- typedef _Char_types< _CharT
  >::int_type int_type
- typedef _Char_types< _CharT
  >::off_type off_type
- typedef std::fpos< state_type > pos_type
- typedef encoding_state state_type

## Static Public Member Functions

- static char_type * assign (char_type *__s, std::size_t __n, char_type __a)
- static void assign (char_type &__c1, const char_type &__c2)
- static int compare (const char_type *__s1, const char_type *__s2, std::size_t __n)
- static char_type * copy (char_type *__s1, const char_type *__s2, std::size_t __n)
- static int_type eof ()
- static bool eq (const char_type &__c1, const char_type &__c2)
- static bool eq_int_type (const int_type &__c1, const int_type &__c2)
- static const char_type * find (const char_type *__s, std::size_t __n, const char_type &__a)
- static std::size_t length (const char_type *__s)
- static bool lt (const char_type &__c1, const char_type &__c2)
- static char_type * move (char_type *__s1, const char_type *__s2, std::size_t __n)
- static int_type not_eof (const int_type &__c)
- static char_type to_char_type (const int_type &__c)
- static int_type to_int_type (const char_type &__c)

The documentation for this struct was generated from the following file:

- codecvt_specializations.h